"use strict";

const marked = require("marked");
var hljs = require("highlight.js");

var config = Object.assign({}, hexo.config.mark);

if (config.highlight) {
  marked.setOptions({
    highlight: function (code, lang) {
      var res;
      if (lang) {
        res = hljs.highlight(lang, code, true).value;
      } else {
        res = hljs.highlightAuto(code).value;
      }
      return res;
    }
  });
}

function renderer(data, options) {
  return marked(data.text);
}

hexo.extend.renderer.register('md', 'html', renderer, true);
hexo.extend.renderer.register('markdown', 'html', renderer, true);
hexo.extend.renderer.register('mkd', 'html', renderer, true);
hexo.extend.renderer.register('mkdn', 'html', renderer, true);
hexo.extend.renderer.register('mdwn', 'html', renderer, true);
hexo.extend.renderer.register('mdtxt', 'html', renderer, true);
hexo.extend.renderer.register('mdtext', 'html', renderer, true);
